<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<Style>
    .clockdate-wrapper {
    background-color: #333;
    padding:25px;
    max-width:350px;
    width:100%;
    text-align:center;
    border-radius:5px;
    margin:0 auto;
    margin-top:15%;
}
#clock{
    background-color: #333;
    font-family: sans-serif;
    font-size:60px;
    text-shadow:0px 0px 1px #fff;
    color:#fff;
}

</Style>
<body onload="muestra()">
    <h1>Reloj Digital Cuanto Falta para terminar el dia </h1>
        <div id="clockdate">
            <div class="clockdate-wrapper">
              <div id="clock"></div>
          
            </div>
          </div>
    </div>
    <script>

/*
Indicar cuántas horas, minutos y segundos faltan para terminar el día.

*/
function muestra(){
    var tiempo = new Date();
    var horas = 23-tiempo.getHours();
    var minutos = 59-tiempo.getMinutes();
    var segundos = 59-tiempo.getSeconds();

    if(horas < 10) { horas = '0' + horas; }
    if(minutos < 10) { minutos = '0' + minutos; }
    if(segundos < 10) { segundos = '0' + segundos; }
    document.getElementById("clock").innerHTML=horas +" : "+minutos+" : "+segundos
    
}  
setInterval(muestra, 1000);

    </script>
</body>
</html>